5

Pencil either runs as a Firefox extension or as a standalone application with XULRunner 1.9.2.

Trying to install XULRunner:

rich@rich-laptop:~/apps/pencil$ sudo apt-get install xulrunner-1.9.2 
[sudo] password for rich: 
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Package xulrunner-1.9.2 is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source

E: Package 'xulrunner-1.9.2' has no installation candidate

So I tried to install it using Firefox by clicking on the install button on the Pencil home page, and the .xpi file was downloaded and opened by an archive manager.

Any ideas?

6

Addon Install

You can install the xpi file as a Firefox addon. To do this, drag the xpi file from your documents to Firefox. It should show a popup asking you about installing the package.

drag and drop into firefox installation screen

| improve this answer | |
0

Alternatively, if you haven't downloaded it yet, you can go to Tools -> Addons or about:addons in Firefox and search from as well as install from there.

| improve this answer | |
0

You may want to try installing xulrunner-1.9. It seems to be a dummy package for the latest version of the 1.9 branch of xulrunner.

| improve this answer | |
0

Download the debian package file from https://code.google.com/archive/p/evoluspencil/downloads

Install using following command:

sudo dpkg -i <location_to_deb_file>

dpkg stands for debian package and i is for installation.

| improve this answer | |

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.